javafx.util.converter

## Class PercentageStringConverter

- java.lang.Object
- - javafx.util.StringConverter<Number>
  - - javafx.util.converter.NumberStringConverter
    - - javafx.util.converter.PercentageStringConverter

-     public class PercentageStringConverter
      extends NumberStringConverter

  `StringConverter` implementation for `Number` values that represent percentages.

  Since:
    JavaFX 2.1
  See Also:
    `CurrencyStringConverter`, `NumberStringConverter`, `StringConverter`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PercentageStringConverter()`
    `PercentageStringConverter(Locale locale)`
    `PercentageStringConverter(NumberFormat numberFormat)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NumberFormat` | `getNumberFormat()` Return a `NumberFormat` instance to use for formatting and parsing in this `StringConverter`.

    - ### Methods inherited from class javafx.util.converter.NumberStringConverter

      `fromString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PercentageStringConverter

          public PercentageStringConverter()

    - #### PercentageStringConverter

          public PercentageStringConverter(Locale locale)

    - #### PercentageStringConverter

          public PercentageStringConverter(NumberFormat numberFormat)

  - ### Method Detail

    - #### getNumberFormat

          public NumberFormat getNumberFormat()

      Return a `NumberFormat` instance to use for formatting and parsing in this `StringConverter`.

      Overrides:
        `getNumberFormat` in class `NumberStringConverter`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 2008, 2019, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.